org.eclipse.ecf.core.identity

## Class IDCreateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.ecf.core.util.ECFRuntimeException
        - - org.eclipse.ecf.core.identity.IDCreateException

All Implemented Interfaces:
  Serializable

    public class IDCreateException
    extends ECFRuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IDCreateException()`
`IDCreateException(org.eclipse.core.runtime.IStatus status)`
`IDCreateException(String message)`
`IDCreateException(String message, Throwable cause)`
`IDCreateException(Throwable cause)`

### Method Summary

### Methods inherited from class org.eclipse.ecf.core.util.ECFRuntimeException

`getStatus`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IDCreateException

    public IDCreateException()

#### IDCreateException

    public IDCreateException(org.eclipse.core.runtime.IStatus status)

#### IDCreateException

    public IDCreateException(String message)

#### IDCreateException

    public IDCreateException(Throwable cause)

#### IDCreateException

    public IDCreateException(String message,
                             Throwable cause)